Browse All Markets
Endpoint
Section titled “Endpoint”GET /markets
Server: https://gamma.openfish.fun
Tags: Markets
Request Parameters
Section titled “Request Parameters”| Name | In | Type | Default | Description |
|---|---|---|---|---|
limit | query | integer | 25 | Cap on the number of items returned (upper bound: 500) |
offset | query | integer | 0 | Number of records to skip for pagination |
order | query | string | volume_num | Field used for sorting. Accepted values: volume_num, liquidity_num, start_date, end_date, created_at |
ascending | query | boolean | false | Whether to sort in ascending order |
closed | query | boolean | Narrow results to closed or open markets | |
tag_slug | query | string | Only include markets that carry this tag slug | |
active | query | boolean | false | When true, restricts to markets that are not closed and whose end_date is in the future |
q | query | string | Free-text search against the market question (case-insensitive partial match) | |
id | query | string | Comma-separated market IDs for batch lookup | |
slug | query | string | Comma-separated slugs for batch lookup | |
condition_ids | query | string | Comma-separated condition IDs | |
clob_token_ids | query | string | Comma-separated CLOB token IDs | |
liquidity_num_min | query | number | Minimum liquidity | |
liquidity_num_max | query | number | Maximum liquidity | |
volume_num_min | query | number | Minimum volume | |
volume_num_max | query | number | Maximum volume | |
start_date_min | query | string | Earliest allowable start date (ISO 8601) | |
start_date_max | query | string | Latest allowable start date (ISO 8601) | |
end_date_min | query | string | Earliest allowable end date (ISO 8601) | |
end_date_max | query | string | Latest allowable end date (ISO 8601) | |
game_id | query | string | Restrict to a specific sports game | |
sports_market_types | query | string | Comma-separated sports market type identifiers | |
cyom | query | boolean | Narrow results to community-created markets | |
status | query | string | Lifecycle stage filter (PROPOSED, LIVE, RESOLVING, RESOLVED) |
Response
Section titled “Response”200 — The response body is a JSON array where each element is a Market object.
[ { "id": "12345", "question": "Will BTC exceed $100k by end of 2026?", "slug": "will-btc-exceed-100k", "conditionId": "0xabc...", "outcomePrices": "[\"0.65\",\"0.35\"]", "volume": "50000", "active": true, "closed": false }]curl "https://gamma.openfish.fun/markets?limit=10&active=true&tag_slug=crypto"